import os
import json
from django.core.exceptions import ImproperlyConfigured
from .global_settings import *

curdir = os.path.dirname(os.path.abspath(__file__))

project_settings = json.loads(open(os.path.join(curdir, '../../.project_config.json'), 'r').read())['project_settings']

SECRET_KEY = project_settings[environment]['django']['SECRET_KEY']       

DEBUG = project_settings[environment]['django']['DEBUG']

RAVEN_CONFIG = {
    'dsn': project_settings[environment]['django']['RAVEN_URI']
}

# FORCE_SCRIPT_NAME overrides the interpreted 'SCRIPT_NAME' provided by the
# web server. since the URLs below are used for various purposes outside of
# the WSGI application (static and media files), these need to be updated to
# reflect this alteration
if FORCE_SCRIPT_NAME:
    STATIC_URL = os.path.join(FORCE_SCRIPT_NAME, STATIC_URL[1:])
    MEDIA_URL = os.path.join(FORCE_SCRIPT_NAME, MEDIA_URL[1:])