#!/bin/bash
host=${1:-resrhtiuws04.research.chop.edu}
port=${2:-2375}
app_env=${3:-development}
https=${4:-1}
app_host=${5:-$host}
expose_port=${6:-9129}

export app=${PWD##*/}
export DOCKER_HOST=tcp://$host:$port
unset DOCKER_TLS_VERIFY

# Stop running containers
docker ps | grep $app | grep `git rev-parse --abbrev-ref HEAD` | awk '{print $1}' | xargs docker stop
# Delete all matching containers
docker ps -a | grep $app | grep `git rev-parse --abbrev-ref HEAD` | awk '{print $1}' | xargs docker rm
# Delete all images that don't match the latest tag of this repo
docker images | grep $app | grep `git rev-parse --abbrev-ref HEAD` | grep -v `git rev-parse HEAD | head  -c8` | awk '{print $3}' | xargs docker rmi
# Run new one
docker run -d --restart=always -p $expose_port:8443 -e CONTAINER_HOST=$app_host -e APP_ENV=$app_env -e HTTPS_ON=$https -v /root/certs:/.certs:ro -t reslnops01.research.chop.edu:5000/$app-`git rev-parse --abbrev-ref HEAD`:`git rev-parse HEAD | head  -c8`
