#!/usr/bin/env python
import os
import etcd
import json

project_config = json.loads(open('.project_config.json', 'r').read())

etcd_host = os.environ.get('ETCD_HOST', '10.30.5.109')

ca = os.path.expanduser('~/.cbmi/ca.crt')
cert = os.path.expanduser('~/.cbmi/res01.crt')
key = os.path.expanduser('~/.cbmi/res01.key')
c = etcd.Client(
    host=etcd_host,
    port=4002,
    ca_cert=ca,
    cert=(cert, key),
    protocol='https'
)

c.write(
    '/applications/{0}/configuration'.format('hwi'),
    json.dumps(project_config)
)
